---
title: dots.v2.monitoring.sinks.destinations.byDestination_uuid().post()
description: Update Logging Destination
product: Reference
url: https://docs.digitalocean.com/reference/dots/reference/monitoring/monitoring-update-destination/
last_updated: "2026-10-27"
---

> **For AI agents:** The documentation index is at [https://docs.digitalocean.com/llms.txt](https://docs.digitalocean.com/llms.txt). Markdown versions of pages use the same URL with `index.html.md` in place of the HTML page (for example, append `index.html.md` to the directory path instead of opening the HTML document).

# dots.v2.monitoring.sinks.destinations.byDestination_uuid().post()

Generated on 27 Oct 2026 from DoTs version [`v1.21.0`](https://github.com/digitalocean/dots/releases/tag/v1.21.0)

## Usage

```typescript
client.v2.monitoring.sinks.destinations.byDestination_uuid(destination_uuid).post(body: Destination_request, requestConfiguration?: RequestConfiguration<object>): Promise<void>
```

## Description

To update the details of a destination, send a PATCH request to [`/v2/monitoring/sinks/destinations/{destination_uuid}`](https://docs.digitalocean.com/reference/api/reference/monitoring/index.html.md).

## Parameters

### Path Parameters

`destination_uuid` string required

Example: `1a64809f-1708-48ee-a742-dec8d481b8d1`

A unique identifier for a destination.

### Request Body

`name` string optional

Example: `managed_opensearch_cluster`

destination name

`type` string required

The destination type. `opensearch_dbaas` for a DigitalOcean managed OpenSearch
cluster or `opensearch_ext` for an externally managed one.

One of: `opensearch_dbaas`, `opensearch_ext`

`config` object required

## Show child properties

`credentials` object optional

Credentials for an OpenSearch cluster user. Optional if `cluster_uuid` is passed.

### Show child properties

`username` string optional

Example: `username`

`password` string optional

Example: `password`

`endpoint` string required

Example: `example.com`

host of the OpenSearch cluster

`clusterUuid` string optional

Example: `85148069-7e35-4999-80bd-6fa1637ca385`

A unique identifier for a managed OpenSearch cluster.

`clusterName` string optional

Example: `managed_dbaas_cluster`

Name of a managed OpenSearch cluster.

`indexName` string optional

Example: `logs`

OpenSearch index to send logs to.

`retentionDays` integer optional

Example: `14`

Number of days to retain logs in an OpenSearch cluster.

Default: `14`

## Request Sample

## Show Request Sample

```typescript
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

await client.v2.monitoring.sinks.destinations
    .byDestination_uuid("1a64809f-1708-48ee-a742-dec8d481b8d1").post({
    name: "managed_opensearch_cluster",
    type: "opensearch_dbaas",
    config: {
        credentials: {
            username: "username",
            password: "password",
        },
        endpoint: "example.com",
        clusterUuid: "85148069-7e35-4999-80bd-6fa1637ca385",
        clusterName: "managed_dbaas_cluster",
        indexName: "logs",
        retentionDays: 14,
    },
});
```

## More Information

See [`/v2/monitoring/sinks/destinations/{destination_uuid}`](https://docs.digitalocean.com/reference/api/reference/monitoring/index.html.md#monitoring_update_destination) in the API reference for additional detail on responses, headers, parameters, and more.